Make fixdeps unable to fix DBD::Oracle ...MISSING. Fails with ORA-24327

Hi all

As a background, I’m quite familiar with Oracle and mostly know my way
with Linux, too, but I’ve no experience on PERL nor RT before.

What I’m trying to do is install RT 3.8.8 on Oracle Linux 5.5 and
configure it to use an existing remote Oracle 10g database. I’ve used
this installation document
http://requesttracker.wikia.com/wiki/CentOS5InstallPlusSome as my
guideline, with minor differences in versions etc, and the biggest
difference probably is trying to use Oracle DB instead of MySQL, as
that’s my and the company’s clear preference.

README.Oracle says “You don’t need to create anything beforehead.” It
seems to be partly true as there should be nothing that needs to be
created in the database before installing RT. But for using remote
database it seems that Oracle client setup needs to be done on the RT
host. Unfortunately I haven’t found instructions for that, so I’ve been
trying to figure out the steps myself.

So far I’ve tried several Oracle client configurations. Each time I’ve
prepared the environment so that I could successfully tnsping the target
database and connect using sqlplus. However, no success with make
fixdeps yet:

  • First tried a light Oracle client version, Oracle Instant Client v10.1
    and 11.2 (11g chosen because it installs more cleanly on Oracle Linux
    5.5). Failed with missing .mk files.

  • Then I tried with normal Oracle Client 11.2 with same problem.

  • Then I figured out from the error messages that more Oracle SW is
    needed and found out that to get suitable .mk files installes I must
    install either whole Oracle database locally or install Oracle demo
    stuff.

  • So I installed Oracle DB demo stuff in the Instant Client home first.
    The .mk problem disappeared, but still it didn’t look good because of
    several errors.

  • I decided to try the same with standard Oracle 11.2 client home.
    Again, .mk problem disappeared, but still make fixdeps is unable to
    connect to the target Oracle database. This time the output starting
    from the error is as follows:

t/10general.t … Bailout called. Further testing stopped:
Unable to connect to Oracle (ORA-24327: need explicit attach before
authenticating a user (DBD ERROR: OCISessionBegin))

DBI connect(’’,‘scott/tiger’,…) failed: ORA-24327: need explicit
attach before authenticating a user (DBD ERROR: OCISessionBegin) at
t/10general.t line 22

FAILED–Further testing stopped: Unable to connect to Oracle (ORA-24327:
need explicit attach before authenticating a user (DBD ERROR:
OCISessionBegin))

make[1]: *** [test_dynamic] Error 255

make[1]: Leaving directory `/root/.cpan/build/DBD-Oracle-1.27-5tgtqm’

PYTHIAN/DBD-Oracle-1.27.tar.gz

/usr/bin/make test – NOT OK

//hint// to see the cpan-testers results for installing this module,
try:

reports PYTHIAN/DBD-Oracle-1.27.tar.gz

Running make install

make test had returned bad status, won’t install without force

SMTP dependencies:

    Net::SMTP ...found

STANDALONE dependencies:

    Net::Server ...found

    HTTP::Server::Simple >= 0.34 ...found

    HTTP::Server::Simple::Mason >= 0.09 ...found

SOME DEPENDENCIES WERE MISSING.

ORACLE missing dependencies:

    DBD::Oracle ...MISSING

            Can't locate DBD/Oracle.pm in @INC (@INC contains:

/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl
/usr/lib/perl5/5.8.8/i386-linux-thread-multi /usr/lib/perl5/5.8.8
/opt/rt3/rt-3.8.8)

make: *** [fixdeps] Error 1

Any suggestions what to try next?

There’s a hint above that I don’t know how to apply. I probably should
know some PERL basics.

There’s probably a way to install DBD::Oracle manually somehow. Could it
solve my problem? Can anyone assist / provide steps required to do it?

Btw, I’ve executed these installation steps (and basically all setup
tasks before except Oracle client installation) as root in
/etc/rt3/rt-3.8.8:

./configure

make testdeps

PERL_MM_USE_DEFAULT=1 make fixdeps

Is it ok or does it cause problems? Should I create some other account
and use it?

Regards, Tapio Tirkkola

tapio.tirkkola@csolutor.fi

Hello,

make fixdeps can not install all modules in some case, but at least tries. You
should install DBD::Oracle module yourself. It has quite good
README/INSTALL file that describe process in details. Download it from
the CPAN.

Also, check system’s packages. It’s possible that there is a package already.On Sun, Feb 13, 2011 at 12:35 AM, Tapio Tirkkola tapio.tirkkola@csolutor.fi wrote:

Hi all

As a background, I’m quite familiar with Oracle and mostly know my way with
Linux, too, but I’ve no experience on PERL nor RT before.

What I’m trying to do is install RT 3.8.8 on Oracle Linux 5.5 and configure
it to use an existing remote Oracle 10g database. I’ve used this
installation document
http://requesttracker.wikia.com/wiki/CentOS5InstallPlusSome as my guideline,
with minor differences in versions etc, and the biggest difference probably
is trying to use Oracle DB instead of MySQL, as that’s my and the company’s
clear preference.

README.Oracle says “You don’t need to create anything beforehead.” It seems
to be partly true as there should be nothing that needs to be created in the
database before installing RT. But for using remote database it seems that
Oracle client setup needs to be done on the RT host. Unfortunately I haven’t
found instructions for that, so I’ve been trying to figure out the steps
myself.

So far I’ve tried several Oracle client configurations. Each time I’ve
prepared the environment so that I could successfully tnsping the target
database and connect using sqlplus. However, no success with make fixdeps
yet:

  • First tried a light Oracle client version, Oracle Instant Client v10.1 and
    11.2 (11g chosen because it installs more cleanly on Oracle Linux 5.5).
    Failed with missing .mk files.

  • Then I tried with normal Oracle Client 11.2 with same problem.

  • Then I figured out from the error messages that more Oracle SW is needed
    and found out that to get suitable .mk files installes I must install either
    whole Oracle database locally or install Oracle demo stuff.

  • So I installed Oracle DB demo stuff in the Instant Client home first. The
    .mk problem disappeared, but still it didn’t look good because of several
    errors.

  • I decided to try the same with standard Oracle 11.2 client home. Again,
    .mk problem disappeared, but still make fixdeps is unable to connect to the
    target Oracle database. This time the output starting from the error is as
    follows:

===

t/10general.t … Bailout called. Further testing stopped: Unable
to connect to Oracle (ORA-24327: need explicit attach before authenticating
a user (DBD ERROR: OCISessionBegin))

DBI connect(’’,‘scott/tiger’,…) failed: ORA-24327: need explicit attach
before authenticating a user (DBD ERROR: OCISessionBegin) at t/10general.t
line 22

FAILED–Further testing stopped: Unable to connect to Oracle (ORA-24327:
need explicit attach before authenticating a user (DBD ERROR:
OCISessionBegin))

make[1]: *** [test_dynamic] Error 255

make[1]: Leaving directory `/root/.cpan/build/DBD-Oracle-1.27-5tgtqm’

PYTHIAN/DBD-Oracle-1.27.tar.gz

/usr/bin/make test – NOT OK

//hint// to see the cpan-testers results for installing this module, try:

reports PYTHIAN/DBD-Oracle-1.27.tar.gz

Running make install

make test had returned bad status, won’t install without force

SMTP dependencies:

    Net::SMTP ...found

STANDALONE dependencies:

    Net::Server ...found

    HTTP::Server::Simple >= 0.34 ...found

    HTTP::Server::Simple::Mason >= 0.09 ...found

SOME DEPENDENCIES WERE MISSING.

ORACLE missing dependencies:

    DBD::Oracle ...MISSING

            Can't locate DBD/Oracle.pm in @INC (@INC contains:

/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl
/usr/lib/perl5/5.8.8/i386-linux-thread-multi /usr/lib/perl5/5.8.8
/opt/rt3/rt-3.8.8)

make: *** [fixdeps] Error 1

===

Any suggestions what to try next?

There’s a hint above that I don’t know how to apply. I probably should know
some PERL basics.

There’s probably a way to install DBD::Oracle manually somehow. Could it
solve my problem? Can anyone assist / provide steps required to do it?

Btw, I’ve executed these installation steps (and basically all setup tasks
before except Oracle client installation) as root in /etc/rt3/rt-3.8.8:

./configure

make testdeps

PERL_MM_USE_DEFAULT=1 make fixdeps

Is it ok or does it cause problems? Should I create some other account and
use it?

Regards, Tapio Tirkkola

tapio.tirkkola@csolutor.fi

Best regards, Ruslan.